### Enumeration

# GLib OptionError

#### Declaration

    error-domain GLib.OptionError

#### Description [src]

Error codes returned by option parsing.

#### Members

Name | Description
--- | ---
`G_OPTION_ERROR_UNKNOWN_OPTION` | An option was not known to the parser. This error will only be reported, if the parser hasn’t been instructed to ignore unknown options, see g_option_context_set_ignore_unknown_options().
`G_OPTION_ERROR_BAD_VALUE` | A value couldn’t be parsed.
`G_OPTION_ERROR_FAILED` | A `GOptionArgFunc` callback failed.